// Oleg Petruny proprietary.

#pragma once

#include "GameFramework/Actor.h"

#include "QuestManager.generated.h"

/**
 * "Manages" quests. In fact takes string rows from a level and push them to Journal widget.
 */
UCLASS(Blueprintable, BlueprintType)
class AQuestManager : public AActor
{
    GENERATED_BODY()

public:


protected:
    virtual void BeginPlay() override;
    virtual void EndPlay(const EEndPlayReason::Type EndPlayReason) override;

    UFUNCTION()
    void Update(TArray<FText> quests);

};
